Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451692 - Review Request: pyusb - python bindings for libusb
Summary: Review Request: pyusb - python bindings for libusb
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 451693
TreeView+ depends on / blocked
 
Reported: 2008-06-16 18:27 UTC by Jeremy Katz
Modified: 2008-06-23 18:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 18:23:58 UTC
bdpepple: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeremy Katz 2008-06-16 18:27:10 UTC
Spec URL: http://katzj.fedorapeople.org/review/pyusb/pyusb.spec
SRPM URL: http://katzj.fedorapeople.org/review/pyusb/pyusb-0.4.1-1.fc10.src.rpm
Description: Python bindings to libusb

Comment 1 Brian Pepple 2008-06-16 23:46:53 UTC
MD5Sum:
9576c3e471e40e021fa44f36712bbd04  pyusb-0.4.1.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Valid license tag
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Package installs and uninstalls cleanly

Minor (Non-blocker):
* rpmlint produces the following error, which should be pretty easy to fix:
pyusb.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/pyusb-0.4.1/README

+1 APPROVED


Comment 2 Jeremy Katz 2008-06-17 00:47:31 UTC
Will fix up on import; thanks for the quick review

New Package CVS Request
=======================
Package Name: pyusb
Short Description: Python bindings for libusb
Owners: katzj
Branches: devel F-9
Cvsextras Commits: yes


Comment 3 Kevin Fenzi 2008-06-17 17:18:15 UTC
cvs done.

Comment 4 Jeremy Katz 2008-06-23 18:23:58 UTC
Committed and building


Note You need to log in before you can comment on or make changes to this bug.